from django.contrib import admin
from django.utils.translation import ugettext, ugettext_lazy as _

from paginas.forms import PageForm
from paginas.models import Page


class PageAdmin(admin.ModelAdmin):
    form = PageForm
    fieldsets = (
        (None, {
            'fields': ('path', 'title', 'content')
        }),
        (_('Search Engine Optimization (SEO)'), {
            'classes': ('collapse',),
            'fields': ('keywords', 'description')
        }),
        (_('Advanced options'), {
            'classes': ('collapse',),
            'fields': ('template_name', 'sites')
        }),
    )
    list_display = ('path', 'title')
    list_filter = ('sites', 'template_name')
    search_fields = ('path', 'title', 'content', 'template_name')


admin.site.register(Page, PageAdmin)
