#/usr/bin/env python

import codecs
import os
import sys

from setuptools import setup, find_packages


if 'publish' in sys.argv:
    os.system('python setup.py sdist upload')
    sys.exit()

read = lambda filepath: codecs.open(filepath, 'r', 'utf-8').read()


# Dynamically calculate the version based on paginas.VERSION.
version = __import__('paginas').get_version()

setup(
    name='django-paginas',
    version=version,
    description='A flat pages application for Django based on django.contrib.flatpages.',
    long_description=read(os.path.join(os.path.dirname(__file__), 'README.rst')),
    author='Guilherme Gondim',
    author_email='semente+django-paginas@taurinus.org',
    maintainer='Guilherme Gondim',
    maintainer_email='semente+django-paginas@taurinus.org',
    license='BSD License',
    url='http://bitbucket.org/semente/django-paginas/',
    packages=find_packages(),
    zip_safe=False,
    include_package_data=True,
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Environment :: Web Environment',
        'Framework :: Django',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Topic :: Software Development :: Libraries :: Python Modules',
    ],
)
